Search Schedule

LLM-friendly URL
POST
https://api.luzmo.com/0.1.0/schedule
API call form
Examples
List of examples
  • Retrieve a schedule and the securables for which it schedules a task (e.g. datasets/dashboards)
  • Get schedules for dashboard
  • Get schedule for dataset
  • Get schedule and tasks for dataset
Install
pip install luzmo-sdk
Example Response
200
400
500
{
  "count": 1,
  "rows": [
    {
      "id": "29db3c0e-be2b-488b-9b54-d1d9ae9dff3a",
      "task": null,
      "started_at": "2018-09-03T12:38:18.614Z",
      "frequency": 1440,
      "retries": 0,
      "active": true,
      "completed_at": "2018-09-03T12:38:18.614Z",
      "created_at": "2018-09-03T12:38:18.630Z",
      "updated_at": "2018-09-03T12:38:18.656Z",
      "last_scheduled_at": null,
      "user_id": "b0d76f5d-f3da-4c55-9497-d8457ccdccda",
      "securable_id": "b3cfbfc2-a9c0-48e3-b726-b93bdb569bfa",
      "scheduled_at": "2018-09-04T12:38:18.614Z",
      "timezone": "Europe/Brussels",
      "securable": {
        "id": "b3cfbfc2-a9c0-48e3-b726-b93bdb569bfa",
        "type": "dataset",
        "subtype": "api",
        "name": {
          "en": "Customers.csv"
        },
        "description": null,
        "subtitle": null,
        "contents": null,
        "css": null,
        "source_dataset": null,
        "source_sheet": null,
        "source_query": null,
        "transformation": null,
        "rows": 2806,
        "featured": false,
        "modified_at": "2018-09-03T12:38:17.857Z",
        "cache": 0,
        "created_at": "2018-09-03T12:38:17.651Z",
        "updated_at": "2018-09-03T12:38:18.495Z",
        "template_id": null,
        "source_id": null,
        "modifier_id": "b0d76f5d-f3da-4c55-9497-d8457ccdccda",
        "owner_id": "b0d76f5d-f3da-4c55-9497-d8457ccdccda"
      }
    }
  ]
}